//---------------------------------------------------------------------------
//
//    definitions used by Wyman digital communications programs
//
//    Copyright (C) 2002  Barry D. Sanderson
//    Copyright (C) 2002  Carl A. Harcourt
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//
//    Mailing addresses for the authors:
//
//    Barry D. Sanderson
//    1725 N. Bolton Ave.
//    Indianapolis, IN 46218  USA
//
//    Carl A. Harcourt
//    4937 W. 900 S.
//    Milroy, IN 46156  USA
//
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//
//    Rev 30 Aug 2002 (CAH) - version 2.0, for initial PC/DOS release
//                            Developed using MS Visual C++ 6.0
//                            as a 'Win32 Console Application', ie a DOS .exe program
//                            Requires a Win32 environment for proper DOS execution
//                            This version will also build and execute unmodified on a Linux system
//
//    Rev 25 Nov 2001 (BDS) - version 1.1.0, for initial public release
//
//---------------------------------------------------------------------------

#ifndef _DECODE_
#define _DECODE_

//---------------------------------------------------------------------------
// application include files

#include "Wcommon.h"

//---------------------------------------------------------------------------
// decode.c function prototyes

//   external functions associated with inner decoding process

extern  void    init_code2     (void);
extern  int     decode2ed1mode (ftype *data, ftype *dist, ftype dthld);
extern  int     decode2ed2mode (ftype *data, ftype *dist, ftype dthld);
extern  int     decode2ed2w1e  (ftype *data, ftype *dist, int mcwi, int *era, int *scc, unsigned int ob_mask, unsigned int *bec_mask);
extern  int     decode2ed2w2e  (ftype *data, ftype *dist, int mcwi, int *era, int *scc, unsigned int ob_mask, unsigned int *bec_mask);
extern  int     decode2ed2w3e  (ftype *data, ftype *dist, int mcwi, int *era, int *scc, unsigned int ob_mask, unsigned int *bec_mask);
extern  int     decode2ed2w4e  (ftype *data, ftype *dist, int mcwi, int *era, int *scc, unsigned int ob_mask, unsigned int *bec_mask);
extern  int     decode2wne2    (ftype *data, int *scc, unsigned int *ob_cnt, unsigned int *ob_mask);

//---------------------------------------------------------------------------

#endif  //_DECODE_
