//---------------------------------------------------------------------------
//
//    definitions used by Wyman digital communications programs
//
//    Copyright (C) 2002  Barry D. Sanderson
//    Copyright (C) 2002  Carl A. Harcourt
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//
//    Mailing addresses for the authors:
//
//    Barry D. Sanderson
//    1725 N. Bolton Ave.
//    Indianapolis, IN 46218  USA
//
//    Carl A. Harcourt
//    4937 W. 900 S.
//    Milroy, IN 46156  USA
//
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
//
//    Rev 30 Aug 2002 (CAH) - version 2.0, for initial PC/DOS release
//                            Developed using MS Visual C++ 6.0
//                            as a 'Win32 Console Application', ie a DOS .exe program
//                            Requires a Win32 environment for proper DOS execution
//                            This version will also build and execute unmodified on a Linux system
//
//    Rev 25 Nov 2001 (BDS) - version 1.1.0, for initial public release
//
//---------------------------------------------------------------------------

#ifndef _FILTER_
#define _FILTER_

//---------------------------------------------------------------------------
// application include files

#include "Wcommon.h"

//---------------------------------------------------------------------------
// filter.c function prototyes

void        ds1t    (ftype *in, ftype *out, unsigned int count);
void        ds2t    (ftype *in, ftype *out, unsigned int count);
void        ds3t    (ftype *in, ftype *out, unsigned int count);

void        ds1nb2  (ftype *in, ftype *out, unsigned int count);
void        ds2nb2  (ftype *in, ftype *out, unsigned int count);
void        ds3nb2  (ftype *in, ftype *out, unsigned int count);

void        lpf01   (ftype *in, ftype *out, unsigned int count);

signed int  I40xxPI (ftype *in, ftype *out, unsigned int num_sp);

//---------------------------------------------------------------------------

#endif  //_FILTER_
